<template>
	<view>
		
	</view>
</template>

<script>
	var _this;
	export default {
		data() {
			return {
				code: '',
				userinfo: '',
			}
		},
		onLoad: function(option) {
			_this = this;
			if (JSON.stringify(option) == "{}") {
				let code = uni.getStorageSync('out_code');
				_this.code = code;
			} else {
				const q = option.q;
				_this.code = q.replace('https%3A%2F%2Flinggong.jinjianghc.com%2Fapplet%2Foutactivity%2Findex%3Fcode%3D','');
				uni.setStorageSync('out_code', _this.code);
			}
			
			_this.userinfo = uni.getStorageSync('userinfo') || false;
			if (_this.userinfo == false) {
				uni.redirectTo({
					url: '/pages/login/login?backpage=/pages/outactivity/index',
				});
			} else {
				//二维码校验
				_this.$req.ajax({
					path: "Outactivity/checkCode",
					data: {
						code: _this.code
					}
				}).then((data) => {
					uni.redirectTo({
						url: '/pages/outactivity/resumelist'
					})
				}).catch((err) => {
					uni.showModal({
						title: '信息提示',
						content: err,
						showCancel: false,
						success: function() {
							uni.removeStorageSync('out_code');
							uni.redirectTo({
								url: '/pages/index/index'
							});
						}
					});
				});
			}
		},
	}
</script>

<style>
</style>
